
Robotics Service Bus - Tasks #263
Implement coherent dynamic behavior 
04/28/2011 05:34 PM - J. Wienke

Status: Resolved Start date: 04/28/2011
Priority: Normal Due date:
Assignee: % Done: 100%
Category: C++ Estimated time: 7.00 hours
Target version:
Description

According to [[Guarantees]]

Subtasks:
Tasks # 264: Adapt handling of incomming events Resolved
Tasks # 267: Fix (re)configuration of filters and handlers Resolved

Associated revisions
Revision 310e62f7 - 05/02/2011 05:56 AM - J. Moringen
Allow InRouteConfigurator to manage multiple connectors
refs #263
    -  src/rsb/Listener.cpp: add multiple connectors to configurator

  instead of asserting connectors.size() == 1
    -  src/rsb/eventprocessing/InRouteConfigurator.{h,cpp}: maintain a list

  of connectors instead of a single connector; loop over connectors
  when necessary

    -  test/rsb/RSBTest.cpp: adapted to changed configurator interface

Revision 7d3078bd - 05/02/2011 06:11 AM - J. Moringen
Allow OutRouteConfigurator to manage multiple connectors
refs #263
    -  src/rsb/Informer.cpp: add multiple connectors to configurator

  instead of asserting connectors.size() == 1
    -  src/rsb/eventprocessing/OutRouteConfigurator.{h,cpp}: maintain a list

  of connectors instead of a single connector; loop over connectors
  when necessary

    -  test/rsb/RSBTest.cpp: adapted to changed configurator interface

History
#1 - 04/28/2011 08:37 PM - J. Moringen
- Subject changed from Implment coherent dynamic behavior  to Implement coherent dynamic behavior 

#2 - 05/02/2011 06:11 AM - J. Moringen
- Status changed from New to In Progress

#3 - 05/03/2011 01:46 PM - J. Wienke
- Status changed from In Progress to Resolved
